package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import java.util.ArrayList;

import static org.junit.Assert.*;

public class PeopleTest {

    private Student s1;
    private Student s2;
    private Student s3;
    private Student s4;
    private People students;

    @Before
    public void setup(){
    students = new People();
    s1 = new Student(1);
    s2 = new Student(2);
    s3 = new Student(3);
    s4 = new Student(4);
    students.personList.add(s1);
    students.personList.add(s2);
    students.personList.add(s3);
    }

    @Test
    public void add() {
        students.personList.add(s4);

        int expected = 4;
        int actual = students.personList.size();

        Assert.assertEquals(expected,actual);
    }

    @Test
    public void findByID() {
        Person expected = s3;
        Person actual = students.findByID(3);

        Assert.assertEquals(expected,actual);

    }

    @Test
    public void removeByPerson() {
        students.removeByPerson(s2);
        int expected = 2;
        int actual = students.personList.size();

        Assert.assertEquals(expected,actual);
    }
}