package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class StudentTest {

    private Student student;

    @Before
    public void setup() {
        student = new Student(5);
    }


    @Test
    public void instanceOfLearner() {
        Assert.assertTrue(student instanceof Learner);
    }

    @Test
    public void instanceOfPerson() {
        Assert.assertTrue(student instanceof Person);
    }

    @Test
    public void getTotalStudyTime() {
        student.learn(4.0);

        double expected = 4.0;
        double actual = student.getTotalStudyTime();

        Assert.assertEquals(expected,actual,.01);

    }


}